GNU bug report logs - #40617
sysbench (New package)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Eric Brown <ecbrown@HIDDEN>; Keywords: moreinfo; dated Tue, 14 Apr 2020 02:17:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40617 <at> debbugs.gnu.org:


Received: (at 40617) by debbugs.gnu.org; 26 May 2021 22:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 26 18:29:25 2021
Received: from localhost ([127.0.0.1]:50138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lm21k-0007tR-Oz
	for submit <at> debbugs.gnu.org; Wed, 26 May 2021 18:29:24 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:60709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ecbrown@HIDDEN>) id 1lm21j-0007tF-No
 for 40617 <at> debbugs.gnu.org; Wed, 26 May 2021 18:29:24 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id A714E1353;
 Wed, 26 May 2021 18:29:17 -0400 (EDT)
Received: from imap38 ([10.202.2.88])
 by compute4.internal (MEProxy); Wed, 26 May 2021 18:29:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericcbrown.com;
 h=mime-version:message-id:in-reply-to:references:date:from:to
 :cc:subject:content-type; s=fm2; bh=/g+nHzCeMPRN6lWEl8vCIlN0vl/W
 tYMfJWg1NytkXY0=; b=ZfarNLrqlAJTiFe3NY/akVpGhtKJR6qLpeBQzWhDE75y
 R6Rg3ZiHAJaaCWmuqUB0Q4AqCYBqzU1pqItw3Zxj6okXakoWP/8BpZuZRAq7fjq1
 aCP4CBjToj6C9wJ2kA9Z/jYOtixjziLQt9Zjgr4lCqJplME+kkEokrWoBiyewecA
 uIxy2NctZwqz5GUnoRrCbFcAU1obPTg8DLbiOgwTOO7hS3/nrLGRIws6SCM7C6tZ
 zBmMfdLiNnQTKaXTcwqpFYy2bX40h6W95vskotIWY7dSSt8o7tc1Y/A7JZEaU9mL
 GIq9qUdbn5qvHWFSUB46mjZ+QJLhDFkCOK8H42bnJw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=/g+nHz
 CeMPRN6lWEl8vCIlN0vl/WtYMfJWg1NytkXY0=; b=CBSNR1vhoQd6kaN3CNCnj8
 1GZUAdSro7FhLj+rvTm1CUIAIEPWQV2lvuRvywvflErz+afRKGvK/s/Wy4FYnufq
 SZl9wesF2waF5MJf4l0Rl0ZPAuGn3OetO9pu8uyilDqSPPKF/D3FM/oaeNShYcRZ
 QwybtiAsVmBj2V+CxbBsoFadD63vle6kNkBKzH4OJE+SqRN2LgQ/XcjFUWHwAT/9
 OIjk/XVsgO6UXZlJqQrWHZORLLESwxnQt0bInctLP2/CRFQ6ZEgzeGveip6K9s4B
 hDWzYwcZJTqaeZsvBIlArxmbYlYk7kSP+13ZcpbYlI8Z1AWA4bqZnuKTkcdH63+A
 ==
X-ME-Sender: <xms:vMuuYAir16haO5AuBEpPFKIzLD6PG-cKtEW6twcY0Z0o9G_eV31t9Q>
 <xme:vMuuYJAe04oAfrWmlD_k5NYDug1_dQbNgcN0G62xTEwnvNjF_wbuwKBfUOL6hSSIE
 xqYtFHaCxF765IiOQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdekgedgtdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsehttd
 ertderredtnecuhfhrohhmpedfgfhrihgtuceurhhofihnfdcuoegvtggsrhhofihnsegv
 rhhitggtsghrohifnhdrtghomheqnecuggftrfgrthhtvghrnhepgfduteektefgieejje
 ffveeviefgheffvdetkeektdeikedtgedtkeetleduveehnecuvehluhhsthgvrhfuihii
 vgeptdenucfrrghrrghmpehmrghilhhfrhhomhepvggtsghrohifnhesvghrihgttggsrh
 hofihnrdgtohhm
X-ME-Proxy: <xmx:vMuuYIG7ec2fXeMekRkbwn8A1WZLbA8cfytKdwfjKmxRWs1O50WjNg>
 <xmx:vMuuYBQoGtlq7ntVL8uzqkLTewSeIN1s-tVYKimACHN3wZ9UVV-Pqg>
 <xmx:vMuuYNzM2HaiZbkbRLn9zC8LOsNp8NunbD2X4XGJb4VDz7wUmURnLQ>
 <xmx:vcuuYGuTxk_q5b5SUhUalfiblp3szedumt7-Z-WfBlkohmFh3CiWMA>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id BCCF4CA005E; Wed, 26 May 2021 18:29:16 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <4027825e-a989-4b72-934a-f50ff99d6068@HIDDEN>
In-Reply-To: <878savhunl.fsf@HIDDEN>
References: <874ktm7rw2.fsf@HIDDEN> <87ftcouiws.fsf@HIDDEN>
 <87ftcot3oa.fsf@HIDDEN> <878savhunl.fsf@HIDDEN>
Date: Wed, 26 May 2021 17:28:55 -0500
From: "Eric Brown" <ecbrown@HIDDEN>
To: "Christopher Baines" <mail@HIDDEN>
Subject: Re: [bug#40617] sysbench (New package)
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40617
Cc: 40617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Chris,

Sorry this fell through the cracks.  Yes, I would like to have this patch because it's useful to have benchmarks in the various contexts where I use Guix.  This package makes it easy to get some, and is libre.

Best regards,
Eric

On Sat, Nov 21, 2020, at 4:27 AM, Christopher Baines wrote:
> 
> It's been a few months, is this patch still relevant?
> 
> Thanks,
> 
> Chris
> 
> Attachments:
> * signature.asc




Information forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.

Message received at 40617 <at> debbugs.gnu.org:


Received: (at 40617) by debbugs.gnu.org; 21 Nov 2020 10:27:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 21 05:27:31 2020
Received: from localhost ([127.0.0.1]:44927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kgQ79-0000cB-7E
	for submit <at> debbugs.gnu.org; Sat, 21 Nov 2020 05:27:31 -0500
Received: from mira.cbaines.net ([212.71.252.8]:49202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kgQ77-0000c3-AE
 for 40617 <at> debbugs.gnu.org; Sat, 21 Nov 2020 05:27:29 -0500
Received: from localhost (188.28.108.199.threembb.co.uk [188.28.108.199])
 by mira.cbaines.net (Postfix) with ESMTPSA id CCCBE27BBF5;
 Sat, 21 Nov 2020 10:27:28 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 2561048c;
 Sat, 21 Nov 2020 10:27:26 +0000 (UTC)
References: <874ktm7rw2.fsf@HIDDEN> <87ftcouiws.fsf@HIDDEN>
 <87ftcot3oa.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
To: Eric Brown <ecbrown@HIDDEN>
Subject: Re: [bug#40617] sysbench (New package)
In-reply-to: <87ftcot3oa.fsf@HIDDEN>
Date: Sat, 21 Nov 2020 10:27:26 +0000
Message-ID: <878savhunl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40617
Cc: 40617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


It's been a few months, is this patch still relevant?

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl+4645fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9Xe82Q//bJCFOVJebPc9tV39nooqYzflhNiE2dv7
aes/mFNcL6S0CnsIF6GNh3n7+O4bDwcNED9tN1FrxshD6ci59FvKnI+vTtLNTROt
nG9Kr691sTvco92dVJPxP1tTJxccwsvXa3fWtU2euD3qNN7cLeUY01hTmO8Tc43+
LdxbTAcp9go9PxtsZcFNbxUdyl00QHOuwcOiJu8ZUKd6dPuwofYZeAg24YBWS7DT
hObjY0VlxZaMzkQ4hmazK1JE5NVXEpE61rcpznvCOdWHxL99IJMm0UBBGlLIMUs/
x52ACHJXh0nydIZ4Sr32Y3xMypQjWAmxB4jXQFBvO55uup/vXBe0pWjhp4eqzy+j
aXxrudCKcxMt/edBly1HsRrpIGSObQSOokgwKiEOp/RXhFhnEHWJ8kBzhW5abrJK
+ed9n2Qk3ndvqhTV2ZVxzTgeZFdosgEk03zPZbEXT3sZLRYQ0fRniwErwOnzkkOa
1JQ2N7u1nqVHiZTxXeZEKe6OI0wBhytn3vgcIg1QMX4cQ+a2m9lSN2yN9+r3kZao
LmCROpE/iTW24TCOnkYb8SQhmGlPvbGczdtmNHo89JMgupI1mlqPID7H8D7KG/YF
MuyAf57UOX+1RIxeH/EzngXjspav36MazFmFCoVLpjfO08AupuISp1+T15h0jWx9
u4gjAQri4OA=
=ZMPt
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Brett Gilio <brettg@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40617 <at> debbugs.gnu.org:


Received: (at 40617) by debbugs.gnu.org; 25 Jul 2020 02:15:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 24 22:15:09 2020
Received: from localhost ([127.0.0.1]:49082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jz9iP-0002Lu-GT
	for submit <at> debbugs.gnu.org; Fri, 24 Jul 2020 22:15:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>)
 id 1jz9iL-0002Ki-UU; Fri, 24 Jul 2020 22:15:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37397)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <brettg@HIDDEN>)
 id 1jz9iG-0006Lu-Cm; Fri, 24 Jul 2020 22:15:00 -0400
Received: from [2605:6000:1a0d:48fb::e9] (port=32810 helo=lenovo-t430)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1jz9iF-0000Vc-T8; Fri, 24 Jul 2020 22:15:00 -0400
From: Brett Gilio <brettg@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: [bug#40617] sysbench (New package)
References: <874ktm7rw2.fsf@HIDDEN> <87ftcouiws.fsf@HIDDEN>
Date: Fri, 24 Jul 2020 21:15:10 -0500
In-Reply-To: <87ftcouiws.fsf@HIDDEN> (Mathieu Othacehe's message of "Tue,
 28 Apr 2020 10:13:55 +0200")
Message-ID: <87wo2s2vdd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40617
Cc: control <at> debbugs.gnu.org, Eric Brown <ecbrown@HIDDEN>,
 40617 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 40617 moreinfo




Information forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.

Message received at 40617 <at> debbugs.gnu.org:


Received: (at 40617) by debbugs.gnu.org; 28 Apr 2020 08:28:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 28 04:28:30 2020
Received: from localhost ([127.0.0.1]:38807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jTLbS-0007qz-9V
	for submit <at> debbugs.gnu.org; Tue, 28 Apr 2020 04:28:30 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:35451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jTLbR-0007qm-2F
 for 40617 <at> debbugs.gnu.org; Tue, 28 Apr 2020 04:28:29 -0400
Received: by mail-wr1-f51.google.com with SMTP id x18so23554943wrq.2
 for <40617 <at> debbugs.gnu.org>; Tue, 28 Apr 2020 01:28:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=dSvjx6zK8CxKjmlu9u4YiCtsjhxNYuq6PzyzbE9cCNo=;
 b=gQglEExTXHU252IsZPi08zRZU/ZwLVrPvAHr2kxQ338W85SKnk5lyA6+HA2uEemuDI
 1xe2R1Fvoe+S910QGdLctUB3s5eIIseprG0l5cPLJE6r4Xnu6B3RVMXxMlT5UG5sNdoW
 ToBbifoEho+dkJvOiV6UnConNrpW+bQelwfv27qzpBC6BNdxg9Rec6w1n1iogkeGPq4Y
 LXoGTQgsPz3G/Xu+x8sGPV1GX1GmeXLt2wC6wwW4SxUsg29LYC0HsiHlt7Ft7BSXYXw+
 UwdUkLTM8/qey+UVjJWLYymx+7ciS77qRrT3ETzkjcynHVIGy0FPugJoSbnSE4s+u115
 oJ7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=dSvjx6zK8CxKjmlu9u4YiCtsjhxNYuq6PzyzbE9cCNo=;
 b=hwP4NMr4spwMl33jwSLdzlkyU+AUF7SM+0QrUaWQptDaDxjRkO/NkHQuScw5qlrbhv
 YSlvLGnyvxavOiOAAKlW9mzAk/WybEObR+8aJ7F28dgrV1euqEDccGptYAAdFVyg2OBa
 NTtInS1eg8gFZzRKBt23rSzyhXktYiAyaSm9pJ3K3EC4ixBBXb5C3XZzGmejjJ/n6nZZ
 n48fuHRt58G/S20WJWyF8dSigYzpA3C+MBIIGp1sqLjcdAD1k2yyn8+SZm8NAdbwSMIm
 Se2Shd1M159YL/LMGellJb3ZULNfZQ3i52zfOBv45jBdW+UgL2RXqbbuOKyVgYgvw1qQ
 w95Q==
X-Gm-Message-State: AGi0Pua9r0nxwBBGeS4KPk4BM3W7VOFd6+G6D+5ga4M9iJvKuzNOIxIa
 CnUg+SMKwfSgLeNqkHpRQyvCpgXBu8A=
X-Google-Smtp-Source: APiQypJ5NKNoEFQ6qxsXPxRSO2CKjpweM5ArJAyFduxSb64pBKVHq1H+pT3dZeC/Qi++DtWNQdwQiA==
X-Received: by 2002:a05:6000:1242:: with SMTP id
 j2mr31149325wrx.274.1588062502948; 
 Tue, 28 Apr 2020 01:28:22 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:34f1:1844:8b95:b14d])
 by smtp.gmail.com with ESMTPSA id h2sm2388778wmf.34.2020.04.28.01.28.22
 for <40617 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Apr 2020 01:28:22 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 40617 <at> debbugs.gnu.org
Subject: Re: [bug#40617] sysbench (New package)
References: <874ktm7rw2.fsf@HIDDEN> <87ftcouiws.fsf@HIDDEN>
Date: Tue, 28 Apr 2020 10:28:21 +0200
In-Reply-To: <87ftcouiws.fsf@HIDDEN> (Mathieu Othacehe's message of "Tue,
 28 Apr 2020 10:13:55 +0200")
Message-ID: <87ftcot3oa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40617
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Eric,

Thanks for the patch.

> +    (version "1.0.19")

Looks like 1.0.20 is out there.

> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/akopytov/sysbench")
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "1zgqb9cr7ld3vw4a3jhq1mlszhcyjlpr0c8q1jcp1d27l9dcvd1w"))
> +       (modules '((guix build utils)))))
> +    (build-system gnu-build-system)
> +    (arguments
> +     `(#:tests? #f ; until shebangs fixed

Tests can run but you actually need to modify run_tests.sh so that it's
able to locate the python interpreter.

> +       (modify-phases %standard-phases
> +         (delete 'bootstrap)
> +         (add-after 'patch-source-shebangs 'libtoolize
> +           (lambda _ (invoke "libtoolize" "--copy" "--force")))
> +         (add-after 'libtoolize 'aclocal
> +           (lambda _ (invoke "aclocal" "-I" "m4")))
> +         (add-after 'aclocal 'autoreconf
> +           (lambda _ (invoke "autoreconf" "--install")))
> +         (add-after 'autoreconf 'automake
> +           (lambda _ (invoke "automake"
> +                             "-c" "--foreign" "--add-missing")))
> +         (add-after 'automake 'autoconf
> +           (lambda _ (invoke "autoconf"))))))

You can remove all this block by just adding "which" to the
native-inputs list :)

> +    (synopsis "Scriptable multi-threaded benchmark tool ")

Trailing space at the end of the sentence.

> +    (description "sysbench is a scriptable multi-threaded benchmark tool based
> +on LuaJIT. It is most frequently used for database benchmarks, but can also be
> +used to create arbitrarily complex workloads that do not involve a database
> +server.")

Please remember to run `guix lint' before submitting.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.

Message received at 40617 <at> debbugs.gnu.org:


Received: (at 40617) by debbugs.gnu.org; 28 Apr 2020 08:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 28 04:16:50 2020
Received: from localhost ([127.0.0.1]:38795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jTLQA-0007ZY-L3
	for submit <at> debbugs.gnu.org; Tue, 28 Apr 2020 04:16:50 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:44776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jTLQ9-0007ZL-77
 for 40617 <at> debbugs.gnu.org; Tue, 28 Apr 2020 04:16:49 -0400
Received: by mail-wr1-f53.google.com with SMTP id d17so23544194wrg.11
 for <40617 <at> debbugs.gnu.org>; Tue, 28 Apr 2020 01:16:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=resent-to:resent-from:resent-date:resent-message-id:from:to:subject
 :references:date:in-reply-to:message-id:user-agent:mime-version;
 bh=dSvjx6zK8CxKjmlu9u4YiCtsjhxNYuq6PzyzbE9cCNo=;
 b=HFPZ3UbwS97xuUR0URsPE/mQqvbTu4QCt4laHWYYABHBFN51lWZLOHuC3jsz9ZmUdo
 8nc4UDQuYz8XxNCfQQkm6ES0HAmHQOqbxzn3aqVuTb1RA6C41pJ8Pwl/mEp4kaRxHOBo
 eC9o/Y8xbZBHWtXFiszaLOZD0/SpN7UcQOlwmKbRIoG2l9ktHJQZ4VuhrX9FArTyKags
 TRT1RV+I6uBI9rlwqgXKp3cXaRzx090jl/1SmHBwIDJI9weZ3MpbxUiykazBTmZwm3oW
 KQYatZYqe91gPLkuBo2Anr05mdTyW8J7snZWlfuK9cPpnmqJYTlaxkAGSK2UtZt5UkXu
 YQ5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:resent-to:resent-from:resent-date
 :resent-message-id:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=dSvjx6zK8CxKjmlu9u4YiCtsjhxNYuq6PzyzbE9cCNo=;
 b=KN8e1gyaqQYF4LnHDvpU/P7Mb2ALpCdPSEnM0iZQxvqpA6pgaacu2B1jt2+sambanq
 fcEOjNRN7xwtZ2XfNYzhhpfNpqQn9RsQgw7+kgsdpn/9h/ZMMhjOhmGRCSjzidmIgFR5
 agUVS/jmsHnrO5KFDESTaY9JKEjvYB5npLu5ZTNOjsYSP2c6S8MVNmHfyzWYEtEMFami
 6/lcox0w29d35tsXkPHSYR9qCfvgteOC3Cupc7N7cVjtXbEtOOXn27BKVJiLk/8ZqQx2
 oYiLrT8CkE1cp+JWfwSf83CvzhO1u9m36gGESTLU6dTqu4kKYktz6e8ci6Iin4eSrQxZ
 OKlg==
X-Gm-Message-State: AGi0PubqFYfHEMhqwJz2IOu6I7xeWbzcJjYQHcSG0DhazWCwQA1XIapb
 Ugayy3KpTP/3v7v+6XZst8UZIpDg2WM=
X-Google-Smtp-Source: APiQypLWJzvi11Q/M3vJ2l8blyTqzsRKCIZIHsxvI6Hcc2FPNO1dzex9ibQvcIThHaD2/zFLbOvZXw==
X-Received: by 2002:adf:8b1d:: with SMTP id n29mr31170877wra.196.1588061803070; 
 Tue, 28 Apr 2020 01:16:43 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:34f1:1844:8b95:b14d])
 by smtp.gmail.com with ESMTPSA id l6sm24659284wrb.75.2020.04.28.01.16.42
 for <40617 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Apr 2020 01:16:42 -0700 (PDT)
Resent-To: 40617 <at> debbugs.gnu.org
Resent-From: Mathieu Othacehe <m.othacehe@HIDDEN>
Resent-Date: Tue, 28 Apr 2020 10:16:42 +0200
Resent-Message-ID: <87a72wuis5.fsf@HIDDEN>
Received: from meru ([2a01:cb18:832e:5f00:34f1:1844:8b95:b14d])
 by smtp.gmail.com with ESMTPSA id b191sm2454466wmd.39.2020.04.28.01.13.56
 for <ecbrown@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 28 Apr 2020 01:13:56 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: Eric Brown <ecbrown@HIDDEN>
Subject: Re: [bug#40617] sysbench (New package)
References: <874ktm7rw2.fsf@HIDDEN>
Date: Tue, 28 Apr 2020 10:13:55 +0200
In-Reply-To: <874ktm7rw2.fsf@HIDDEN> (Eric Brown's message of "Mon, 13
 Apr 2020 20:55:25 -0500")
Message-ID: <87ftcouiws.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-TUID: wtab1TAf+wI1
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40617
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Eric,

Thanks for the patch.

> +    (version "1.0.19")

Looks like 1.0.20 is out there.

> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/akopytov/sysbench")
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "1zgqb9cr7ld3vw4a3jhq1mlszhcyjlpr0c8q1jcp1d27l9dcvd1w"))
> +       (modules '((guix build utils)))))
> +    (build-system gnu-build-system)
> +    (arguments
> +     `(#:tests? #f ; until shebangs fixed

Tests can run but you actually need to modify run_tests.sh so that it's
able to locate the python interpreter.

> +       (modify-phases %standard-phases
> +         (delete 'bootstrap)
> +         (add-after 'patch-source-shebangs 'libtoolize
> +           (lambda _ (invoke "libtoolize" "--copy" "--force")))
> +         (add-after 'libtoolize 'aclocal
> +           (lambda _ (invoke "aclocal" "-I" "m4")))
> +         (add-after 'aclocal 'autoreconf
> +           (lambda _ (invoke "autoreconf" "--install")))
> +         (add-after 'autoreconf 'automake
> +           (lambda _ (invoke "automake"
> +                             "-c" "--foreign" "--add-missing")))
> +         (add-after 'automake 'autoconf
> +           (lambda _ (invoke "autoconf"))))))

You can remove all this block by just adding "which" to the
native-inputs list :)

> +    (synopsis "Scriptable multi-threaded benchmark tool ")

Trailing space at the end of the sentence.

> +    (description "sysbench is a scriptable multi-threaded benchmark tool based
> +on LuaJIT. It is most frequently used for database benchmarks, but can also be
> +used to create arbitrarily complex workloads that do not involve a database
> +server.")

Please remember to run `guix lint' before submitting.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2020 02:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 22:16:43 2020
Received: from localhost ([127.0.0.1]:32935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOB7z-0002lT-3W
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 22:16:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:34139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ecbrown@HIDDEN>) id 1jOAnS-0002FA-GN
 for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 21:55:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42142)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ecbrown@HIDDEN>) id 1jOAnR-0005aF-02
 for guix-patches@HIDDEN; Mon, 13 Apr 2020 21:55:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_50,KHOP_HELO_FCRDNS,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ecbrown@HIDDEN>) id 1jOAnP-0001xV-Mz
 for guix-patches@HIDDEN; Mon, 13 Apr 2020 21:55:28 -0400
Received: from
 216-80-121-173.s13.demp-ubr2.chi-demp.il.static.cable.rcncustomer.com
 ([216.80.121.173]:51894 helo=ericcbrown.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ecbrown@HIDDEN>) id 1jOAnP-0001x7-Fd
 for guix-patches@HIDDEN; Mon, 13 Apr 2020 21:55:27 -0400
Received: from localhost (unknown [192.168.1.1])
 by ericcbrown.com (Postfix) with ESMTPSA id 2E8833D6874C
 for <guix-patches@HIDDEN>; Mon, 13 Apr 2020 20:55:26 -0500 (CDT)
From: Eric Brown <ecbrown@HIDDEN>
To: guix-patches@HIDDEN
Subject: sysbench (New package)
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Mail-reply-to: Eric Brown <ecbrown@HIDDEN>
Mail-followup-to: Eric Brown <ecbrown@HIDDEN>
Date: Mon, 13 Apr 2020 20:55:25 -0500
Message-ID: <874ktm7rw2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Mac OS X  [generic] [fuzzy]
X-Received-From: 216.80.121.173
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 13 Apr 2020 22:16:41 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Dear All,

Please see attached a patch for sysbench, a benchmarking utility.

Best regards,
Eric


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline; filename=sysbench.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: sysbench patch

From 4906fb3db0482cbb5862f8f56e6e107499dee2d8 Mon Sep 17 00:00:00 2001
From: Eric Brown <ecbrown@HIDDEN>
Date: Mon, 13 Apr 2020 20:34:11 -0500
Subject: [PATCH] gnu: Add sysbench.

* gnu/packages/benchmark.scm (sysbench): New variable.
---
 gnu/packages/benchmark.scm | 64 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

diff --git a/gnu/packages/benchmark.scm b/gnu/packages/benchmark.scm
index 4e6c416518..b27cd5436e 100644
--- a/gnu/packages/benchmark.scm
+++ b/gnu/packages/benchmark.scm
@@ -7,6 +7,7 @@
 ;;; Copyright =C2=A9 2019 G=C3=A1bor Boskovits <boskovits@HIDDEN>
 ;;; Copyright =C2=A9 2019 Ludovic Court=C3=A8s <ludo@HIDDEN>
 ;;; Copyright =C2=A9 2020 Vincent Legoll <vincent.legoll@HIDDEN>
+;;; Copyright =C2=A9 2020 Eric Brown <ecbrown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -31,16 +32,22 @@
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages databases)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages lua)
+  #:use-module (gnu packages m4)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages mpi)
   #:use-module (gnu packages perl)
+  #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-science)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages storage)
+  #:use-module (gnu packages tls)
   #:use-module (ice-9 match))
=20
 (define-public fio
@@ -258,3 +265,60 @@ benchmark how your file systems perform with respect t=
o data read and write
 speed, the number of seeks that can be performed per second, and the numbe=
r of
 file metadata operations that can be performed per second.")
     (license license:gpl2)))   ;GPL 2 only, see copyright.txt
+
+(define-public sysbench
+  (package
+    (name "sysbench")
+    (version "1.0.19")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/akopytov/sysbench")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1zgqb9cr7ld3vw4a3jhq1mlszhcyjlpr0c8q1jcp1d27l9dcvd1w"))
+       (modules '((guix build utils)))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; until shebangs fixed
+       #:configure-flags '("--with-system-luajit")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'bootstrap)
+         (add-after 'patch-source-shebangs 'libtoolize
+           (lambda _ (invoke "libtoolize" "--copy" "--force")))
+         (add-after 'libtoolize 'aclocal
+           (lambda _ (invoke "aclocal" "-I" "m4")))
+         (add-after 'aclocal 'autoreconf
+           (lambda _ (invoke "autoreconf" "--install")))
+         (add-after 'autoreconf 'automake
+           (lambda _ (invoke "automake"
+                             "-c" "--foreign" "--add-missing")))
+         (add-after 'automake 'autoconf
+           (lambda _ (invoke "autoconf"))))))
+    (native-inputs
+     `(("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)
+       ("lua" ,lua)
+       ("m4" ,m4)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python-minimal)))
+    (inputs
+     `(("libaio" ,libaio)
+       ("luajit" ,luajit)
+       ("mysql" ,mysql)
+       ("openssl" ,openssl)
+       ("postgresql" ,postgresql)
+       ("zlib" ,zlib)))
+    (home-page "https://github.com/akopytov/sysbench/")
+    (synopsis "Scriptable multi-threaded benchmark tool ")
+    (description "sysbench is a scriptable multi-threaded benchmark tool b=
ased
+on LuaJIT. It is most frequently used for database benchmarks, but can als=
o be
+used to create arbitrarily complex workloads that do not involve a database
+server.")
+    (license license:gpl2+)))
+
--=20
2.26.0


--=-=-=--




Acknowledgement sent to Eric Brown <ecbrown@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40617; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 26 May 2021 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.